LINKTODIRS(1)

NAME
linkToDirs.pl - hard links files in directories with others

SYNOPSIS
        linkToDirs.pl [--linkWith copyBackupDir] [--linkWith ...]
                      --targetDir targetForSourceDir
                      [--progressReport number] [--dontLinkSymlinks]
                      [--ignoreErrors] [--saveRAM] [-T tmpdir]
                      sourceDir ...

DESCRIPTION
Make a de-duplicated copy of files in one directory to another location. Utilizes hard links to the full extent possible to avoid wasting storage space.

Usage note: whereas many file copy utilities have just two primary parameters (the source and destination), linkToDirs.pl allows three primary parameters:
    * source (sourceDir)
    * destination (targetDir)
    * and a reference location (linkWith [optional]) The reference location is the place to look for existing content which can be hard linked to. Files with the same contents in sourceDir are hard linked always in targetDir.

OPTIONS

--linkWith, -w
        linkWith target; the backups where other backups have to be
        linked to use this parameter multiple times for multiple
        directories
        if you do not use this option, the program will just copy and
        link 'sourceDir'

--targetDir, -t
        path(s) to directory where backups specified by
        --sourceDir should be placed

--progressReport, -P
        print progress report after each 'number' files

--dontLinkSymlinks
        do not hard link identical symbolic links

--ignoreErrors, -i
        if set, don't stop in case of errors when copying

--saveRAM
        write temporary dbm files in --tmpdir
        use this if you do not have enough RAM

--tmpdir, -T
        directory for temporary files, default is </tmp>

sourceDir
        path(s) to directories which have to be linked to other backups
        use this parameter multiple times for multiple directories

COPYRIGHT
Copyright (c) 2012-2013 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version